Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface Category

public interface Category
extends BaseEJBObject

Interface to the category ejb.

Method Summary
`java.lang.String` | `getIconURL()` Get icon URL.
`java.lang.String` | `getName()` Get name.
`int` | `getOrder()` Get order.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setIconURL(java.lang.String aURL)` Set icon URL.
`void` | `setOrder(int anOrder)` Set order.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPortalName

    public java.lang.String getPortalName()
                                   throws java.rmi.RemoteException

  Get portal name.
  Returns:
    `String`
  Throws:
    `RemoteException` -

### getName

    public java.lang.String getName()
                             throws java.rmi.RemoteException

  Get name.
  Returns:
    `String`
  Throws:
    `RemoteException` -

### getOrder

    public int getOrder()
                 throws java.rmi.RemoteException

  Get order.
  Returns:
    `int`
  Throws:
    `RemoteException` -

### setOrder

    public void setOrder(int anOrder)
                  throws java.rmi.RemoteException

  Set order.
  Parameters:
    `anOrder` -
  Throws:
    `RemoteException` -

### setIconURL

    public void setIconURL(java.lang.String aURL)
                    throws java.rmi.RemoteException

  Set icon URL.
  Parameters:
    `aURL` - the icon url.
  Throws:
    `RemoteException` -

### getIconURL

    public java.lang.String getIconURL()
                                throws java.rmi.RemoteException

  Get icon URL.
  Returns:
    `String` the icon url.
  Throws:
    `RemoteException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved